package com.jeeplus.modules.sg.materialmodule.activiti.entity;

import com.jeeplus.core.persistence.ActEntity;
import java.util.Date;

public class MaterialModule extends ActEntity<MaterialModule> {
    private static final long serialVersionUID = 1L;
    // 流程实例编号
    private String procInsId;
    // 申请人
    private String userName;
    // 项目号
    private String projectId;
    // 项目名称
    private String projectName;
    // 手动填写的项目类型，包含非涉电项目才会有项目类型
    private String projectType;
    //记录当前应该查询的项目信息
    private String nowProjectName;
    //记录第几次发电
    private Integer frequency;
    //记录项目是否包含土建
    private Integer nonPower;
    //记录项目是否包含电气
    private Integer electrical;
    //记录项目是否包含涉电
    private Integer power;

    @Override
    public String getProcInsId() {
        return procInsId;
    }

    @Override
    public void setProcInsId(String procInsId) {
        this.procInsId = procInsId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getProjectType() {
        return projectType;
    }

    public void setProjectType(String projectType) {
        this.projectType = projectType;
    }

    public String getNowProjectName() {
        return nowProjectName;
    }

    public void setNowProjectName(String nowProjectName) {
        this.nowProjectName = nowProjectName;
    }

    public Integer getFrequency() {
        return frequency;
    }

    public void setFrequency(Integer frequency) {
        this.frequency = frequency;
    }

    public Integer getNonPower() {
        return nonPower;
    }

    public void setNonPower(Integer nonPower) {
        this.nonPower = nonPower;
    }

    public Integer getElectrical() {
        return electrical;
    }

    public void setElectrical(Integer electrical) {
        this.electrical = electrical;
    }

    public Integer getPower() {
        return power;
    }

    public void setPower(Integer power) {
        this.power = power;
    }
}
